Sử dụng CometAPI để gọi GET /runwayml/v1/tasks/ và lấy trạng thái, tiến độ, đầu ra và metadata của tác vụ tạo video Runway theo ID tác vụ.
curl --request GET \
--url https://api.cometapi.com/runwayml/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"code": "success",
"message": "",
"data": {
"task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"action": "IMAGE_TO_VIDEO",
"status": "QUEUED",
"fail_reason": "",
"submit_time": 1773366766,
"start_time": 0,
"finish_time": 0,
"progress": "0%",
"data": {
"id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"status": "PENDING",
"createdAt": "2026-03-13T09:52:46+08:00"
}
}
}code và message bên ngoài để biết trạng thái ở cấp wrapperdata.status và data.progress để biết trạng thái hiện tại của tác vụdata.data lồng nhau cho metadata tác vụ dành riêng cho providertask_not_existfeed ngược có thể trả về cùng một envelope đang chờ xử lý hoặc đang trong tiến trìnhcode: success, status: QUEUED, và một đối tượng data lồng nhau thay vì một đối tượng tác vụ Runway thuần.Bearer token authentication. Use your CometAPI key.
Optional Runway version header, for example 2024-11-06.
Runway task id returned by the create endpoint.
curl --request GET \
--url https://api.cometapi.com/runwayml/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"code": "success",
"message": "",
"data": {
"task_id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"action": "IMAGE_TO_VIDEO",
"status": "QUEUED",
"fail_reason": "",
"submit_time": 1773366766,
"start_time": 0,
"finish_time": 0,
"progress": "0%",
"data": {
"id": "3d957031-9a2a-45e2-9dc7-bc8513059c50",
"status": "PENDING",
"createdAt": "2026-03-13T09:52:46+08:00"
}
}
}